Subject: Re: [PATCH 1/2] gitignore.txt: fix documentation of "**" patterns

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Nov 2013 10:50:41 -0800

Karsten Blees <[email-masked]> writes:

> "**" means bold in ASCIIDOC, so we need to escape it.
>
> Signed-off-by: Karsten Blees <[email-masked]>
> ---
>  Documentation/gitignore.txt | 6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)
>
> diff --git a/Documentation/gitignore.txt b/Documentation/gitignore.txt
> index 54e334e..f971960 100644
> --- a/Documentation/gitignore.txt
> +++ b/Documentation/gitignore.txt
> @@ -113,12 +113,12 @@ full pathname may have special meaning:
>  
>   - A leading "`**`" followed by a slash means match in all
>     directories. For example, "`**/foo`" matches file or directory
> -   "`foo`" anywhere, the same as pattern "`foo`". "**/foo/bar"
> +   "`foo`" anywhere, the same as pattern "`foo`". "`**/foo/bar`"
>     matches file or directory "`bar`" anywhere that is directly
>     under directory "`foo`".
>  
> - - A trailing "/**" matches everything inside. For example,
> -   "abc/**" matches all files inside directory "abc", relative
> + - A trailing "`/**`" matches everything inside. For example,
> +   "`abc/**`" matches all files inside directory "`abc`", relative
>     to the location of the `.gitignore` file, with infinite depth.

All, including the quoting of `abc` that does not have anything to
do with the double-asterisk, look good; thanks.

>  
>   - A slash followed by two consecutive asterisks then a slash